#
# spec file for package xf86tools (Version 0.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         xf86tools
Copyright:    Stefan Dirsch
Group:        X11/XFree86
Provides:     xf86:/usr/X11R6/bin/fetchmsttfonts
Autoreqprov:  on
Version:      0.1
Release:      361
Summary:      Tools for XFree86
Source:       cabextract-0.2.tar.gz 
Source1:      fetchmsttfonts
Source2:      xf86debug
Source3:      xf86version
Source4:      latvian-support.tar.gz
Source5:      fetchmsttfonts.sh
Source6:      wmlist
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Some useful tools for XFree86. Contains the script 'fetchmsttfons' to download
Truetype Fonts.

Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>

SuSE series: x

%prep
%setup -n cabextract-0.2 -b4

%build
autoconf
./configure --prefix=/usr --mandir=%{_mandir}    

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 README NEWS $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
install -m 755 $RPM_SOURCE_DIR/fetchmsttfonts $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xf86debug      $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xf86version    $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/fetchmsttfonts.sh $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/wmlist         $RPM_BUILD_ROOT/usr/X11R6/bin
cd ../latvian-support
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/symbols
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/iso8859-1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 layouts/{lva,lvt} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/symbols
install -m 644 layouts/compose.add $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/iso8859-1
install -m 755 latvian_install latvian_uninstall $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 README.SuSE $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/xf86tools/
%doc %{_mandir}/man1/cabextract.1.gz
/usr/bin/cabextract 
/usr/X11R6/bin/fetchmsttfonts
/usr/X11R6/bin/fetchmsttfonts.sh
/usr/X11R6/bin/xf86debug
/usr/X11R6/bin/xf86version
/usr/X11R6/bin/latvian_install
/usr/X11R6/bin/latvian_uninstall
/usr/X11R6/bin/wmlist
/usr/X11R6/lib/X11/xkb/symbols/lva
/usr/X11R6/lib/X11/xkb/symbols/lvt
/usr/X11R6/lib/X11/locale/iso8859-1/compose.add

%changelog -n xf86tools
* Sun Aug 18 2002 - sndirsch@suse.de
- adjusted fetchmsttfonts: simply prints a message, that MS
  discontinued the Web fonts program
* Wed Sep 05 2001 - sndirsch@suse.de
- removed options "--passive" and "--user-agent" in $WGET_OPTIONS
- lynx is now used for testing of existing EULA instead of wget
  (wget can't fetch EULA any more!)
* Tue Jul 31 2001 - sndirsch@suse.de
- replaced 'xfwm' with 'XFce' in 'wmlist' (change request by
  nadvornik@suse.cz)
* Fri Jul 20 2001 - sndirsch@suse.de
- moved 'wmlist' script from package susewm to package xf86tools
* Wed Jul 18 2001 - cstein@suse.de
- added 'xsplash' to wmlist and changed year in file header to 2001
* Fri Jun 22 2001 - sndirsch@suse.de
- better error handling in latvian (un)install scripts
* Tue Jun 19 2001 - sndirsch@suse.de
- added fetchmsttfonts.sh for KDE menu
* Mon Jun 18 2001 - sndirsch@suse.de
- fetchmsttfonts: print error message if there are problems with
  fetching archives
- added keyboard layout support for latvian:
  * xkb layout files
  * addition to compose table
  * install/uninstall skript for enabling/disabling latvian support
  (patches XF86Config + Compose table)
  * README.SuSE
* Wed May 16 2001 - sndirsch@suse.de
- rewritten fetchmsttfonts to use cabextract instead of unzip, so
  that the more recent TT Fonts for Windows 9x/NT/2000 can be used
- added cabextract tool, required for new fetchmsttfonts
* Fri Apr 06 2001 - sndirsch@suse.de
- rewritten xf86version ("X -version" is now used to get xf86 version)
* Fri Mar 30 2001 - sndirsch@suse.de
- created package
